const express = require('express');
const app = express();

const cors = require('cors');
app.use(cors());
app.options('*', cors());

const bodyParser = require('body-parser')
app.use(bodyParser.json());

const searchService = require('./samples/interactive-tutorials/search/search-simple-query');

app.get('/search', (req, res) => {
    const { text, facets, filters } = req.query;
    const facetsObj = facets && JSON.parse(facets).map((facet) => ({ facetKey: { key: facet }}));

    const filterObj = filters && JSON.parse(filters) || [];
    let filterString = '';
    Object.keys(filterObj).forEach((key, i, arr) => {
        filterString = filterString + `${key}: ANY("${filterObj[key].join('","')}")${i == arr.length -1 ? '' : ' AND '}`;
    });
    filterString = filterString && `(${filterString})`;

    searchService(text, facetsObj, filterString)
        .then(result => {
            return res.send(result);
        })
        .catch(err => res.send(err))
});

const PORT = process.env.PORT || 8080;
app.listen(PORT);